Loading...
Searching...
No Matches
exception.hpp File Reference

## Description

Provides bsoncxx error-handling utilities.

Go to the source code of this file.

## Classes

class | bsoncxx::v1::exception
| Base class for all exceptions thrown by bsoncxx::v1. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::v1
| Declares entities whose ABI stability is guaranteed for documented symbols.

## Enumerations

enum class | bsoncxx::v1::source_errc
| Enumeration identifying the source of a bsoncxx::v1 error. More...
enum class | bsoncxx::v1::type_errc
| Enumeration identifying the type (cause) of a bsoncxx::v1 error. More...

## Functions

std::error_condition | bsoncxx::v1::make_error_condition (source_errc code)
| Support implicit conversion to std::error_condition.
std::error_condition | bsoncxx::v1::make_error_condition (type_errc code)
| Support implicit conversion to std::error_condition.
std::error_category const & | bsoncxx::v1::source_error_category ()
| The error category for bsoncxx::v1::source_errc.
std::error_category const & | bsoncxx::v1::type_error_category ()
| The error category for bsoncxx::v1::type_errc.